<?php

namespace App\Http\Requests\Recharge\Api;

use App\Http\Requests\ApiBaseRequest;

/**
 * Class RechargeRequest.
 * @package App\Http\Requests\Recharge
 */
class RechargeRequest extends ApiBaseRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'pay_method'  => 'required',
            'amount_id' => 'required',
        ];
    }
}
